%define name kexec-tools
%define version 2.0.0
%define rel 5

%define _sbindir /sbin

Summary:	Tool for starting new kernel without reboot
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
License: 	GPL v2
Group: 		System/Configuration/Hardware
#http://developer.osdl.org/rddunlap/kexec/kexec-tools-%{version}.tar.bz2
Source0:	http://www.kernel.org/pub/linux/kernel/people/horms/kexec-tools/%{name}-%{version}.tar.bz2
Patch0:     kexec-tools-fix_as_needed.patch
Patch1:	    kexec-tools-2.0.0-disable-kexec-test.patch
URL:		http://www.kernel.org/pub/linux/kernel/people/horms/kexec-tools/
Requires:	kernel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build

%description
kexec is a set of system calls that allows you to load another kernel
from the currently executing Linux kernel. The current implementation
has only been tested, and had the kinks worked out on x86, but the
generic code should work on any architecture.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p -m755 $RPM_BUILD_ROOT%{_mandir}/man8/
install -m 644 kexec/kexec.8 $RPM_BUILD_ROOT%{_mandir}/man8/kexec.8
install -m 644 kdump/kdump.8 $RPM_BUILD_ROOT%{_mandir}/man8/kdump.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc TODO News
%_mandir/*/*.*
%attr(0755, root, root) %_sbindir/*



%changelog
* Thu Mar 05 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.0.0-5mdv2009.1
+ Revision: 349455
- Add disable-kexec-test patch from Fedora (#47890).

* Thu Mar 05 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.0.0-4mdv2009.1
+ Revision: 349064
- Installing correct permissions on kexec executables.

* Mon Mar 02 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.0.0-3mdv2009.1
+ Revision: 347291
- Installing kexec binaries to /sbin (#47889).
  Added manpages.

* Sat Sep 13 2008 Michael Scherer <misc@mandriva.org> 2.0.0-2mdv2009.0
+ Revision: 284438
- cleanly fix linking error, patch 1

* Sat Sep 13 2008 Michael Scherer <misc@mandriva.org> 2.0.0-1mdv2009.0
+ Revision: 284418
- new version thanks to Tomasz Chmielewski

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Michael Scherer <misc@mandriva.org> 1.101-3mdv2008.0
+ Revision: 16807
- use %%mkrel


* Fri Jul 15 2005 Olivier Blin <oblin@mandriva.com> 1.101-2mdk
- fix URL

* Tue Feb 22 2005 Olivier Blin <oblin@mandrakesoft.com> 1.101-1mdk
- 1.101
- ship kdump too

* Mon Feb 21 2005 Olivier Blin <oblin@mandrakesoft.com> 1.95-3mdk
- install static binaries in /sbin
 (to allow calls from halt scripts when /usr in unmounted)

* Fri Jul 23 2004 Olivier Blin <blino@mandrake.org> 1.95-2mdk
- fix URL

* Fri Jul 23 2004 Olivier Blin <blino@mandrake.org> 1.95-1mdk
- rpmbuildupdate awareness
- 1.95

* Wed May 19 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.9-1mdk
- Initial mandrake version based on pld distrib work.

